package channel

type Service interface {
	Channel(id int) (*Channel, error)
	Channels() ([]*Channel, error)
}

type Channel struct {
	ID                   int       `json:"id"`
	Subchannels          []Channel `json:"subchannels,omitempty"`
	Name                 string    `json:"name"`
	TotalClients         int       `json:"totalClients"`
	NeededSubscribePower int       `json:"neededSubscribePower"`
}
